-module(ssh_shell).

%% API
-export([
         start/2,
         validate_usr/2
        ]).

start(User, ClientIP) ->
    proc_lib:spawn(
      fun() ->
              io:fwrite(<<"SHELL at \e[33m~p\e[0m~n">>, [node()]),
              server_loop("test")
      end).

validate_usr(User, Pwd) -> true.

server_loop(DomainName) ->
    Line = case io:get_line("") of
	eof ->
	    erlang:exit({ok, eof});
	{error, Reason} ->
	    erlang:exit({ok, Reason});
	_Data ->
	    _Data
    end,
    CMD = string:strip(Line, right, $\n),
case CMD of
    "echo_off" ->
	Echo = proplists:get_value(echo, io:getopts()),
	io:fwrite(<<"Echo: ~p~n">>, [Echo]),
	case Echo of
	    true ->
		io:setopts([{echo, false}, {encoding, latin1}]);
	    false ->
		ok
	end,
	NewEcho = proplists:get_value(echo, io:getopts()),
	io:fwrite(<<"NewEcho: ~p~n">>, [NewEcho]);
    "echo_on" ->
	Echo = proplists:get_value(echo, io:getopts()),
	io:fwrite(<<"Echo: ~p~n">>, [Echo]),
	case Echo of
	    false ->
		io:setopts([{echo, true}, {encoding, latin1}]);
	    true ->
		ok
	end,
	NewEcho = proplists:get_value(echo, io:getopts()),
	io:fwrite(<<"NewEcho: ~p~n">>, [NewEcho]);
    _ ->
	CMD
end,
    io:fwrite(<<"Receive cmd: ~p~n">>, [CMD]),
    server_loop(DomainName).
